Subject: Re: Implementing search / reverse search in vi mode on input
From: Krzysztof Słonka <[email-masked]>
To: Bart Schaefer <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Mon, 18 Jan 2016 18:45:08 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

The same way I can jump between words (normal mode + w, see:
http://vim.wikia.com/wiki/Moving_around) I would like to jump to search
phrase (normal mode + / word). Example ('_' indicates the cursor position):

ls -la /usr/local/bin/_

(When I type,    ctrl + [   B    , I will get)

ls -la _/usr/local/bin/

I would like to implement a feature that I can jump to the beginning of the
search phrase. Example:

ls -la /usr/local/bin/_

(  ctrl + [  /  ocal  )

ls -la /usr/l_oacl/bin/

So basically this: http://vim.wikia.com/wiki/Searching inside vi mode of zsh

Best regards

2016-01-18 18:29 GMT+01:00 Bart Schaefer <[email-masked]>:

> On Mon, Jan 18, 2016 at 12:26 AM, Krzysztof Słonka
> <[email-masked]> wrote:
> >
> > I know that by using ctrl ] + / you can search through history, but I
> would
> > like to implement searching inside command input (the same way you can
> > search in vim, / for forward search and ? for backward).
>
> Could you explain in more detail what you mean by "command input"?
> And exactly when do you want to search it, relative to the execution
> of the command?
>
> I suspect you believe the shell is involved in a part of the process
> where it really is not, but I can't be sure.
>